From 2fa3b876b2f5f967510205badab1f6865d548f60 Mon Sep 17 00:00:00 2001
Message-ID: <2fa3b876b2f5f967510205badab1f6865d548f60.1697452659.git.Rostislav.Svoboda@gmail.com>
From: Rostislav Svoboda <Rostislav.Svoboda@gmail.com>
Date: Mon, 16 Oct 2023 12:29:20 +0200
Subject: [PATCH] gnu: emacs-haskell-snippets: Improve snippets installation.

DRY in the specification of the relative path of the snippets directory.

* gnu/packages/emacs-xyz.scm (emacs-haskell-snippets)[#:phases]
<install-snippets>: Improve snippets installation.
---
 gnu/packages/emacs-xyz.scm | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 7f55febfbb..9e0d25d06f 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -35547,12 +35547,12 @@ (define-public emacs-haskell-snippets
         #~(modify-phases %standard-phases
             (add-after 'install 'install-snippets
               (lambda* (#:key outputs #:allow-other-keys)
-                (let ((snippets
-                       (string-append
-                        (elpa-directory (assoc-ref outputs "out"))
-                        "/snippets/haskell-mode")))
-                  (mkdir-p snippets)
-                  (copy-recursively "snippets/haskell-mode" snippets)))))))
+                (let* ((relative-dirpath "snippets/haskell-mode")
+                       (installation-dir
+                        (string-append (elpa-directory (assoc-ref outputs "out"))
+                                       "/" relative-dirpath)))
+                  (mkdir-p installation-dir)
+                  (copy-recursively relative-dirpath installation-dir)))))))
       (propagated-inputs
        (list emacs-yasnippet))
       (home-page "https://github.com/haskell/haskell-snippets")

base-commit: a0d2ecde943bd1854ddbb7c0cad35a1fc64dc5ab
prerequisite-patch-id: f0c0b2800adc95ec1cf2b5c926cca36c78e691ad
prerequisite-patch-id: 111fac11768d145e13ca905db818eb751d0ee457
prerequisite-patch-id: 5bde835de1e0f7e9cd752986da0585463713d745
prerequisite-patch-id: f6eb86747a6d23da8e24c5ff555a29a6002288f4
prerequisite-patch-id: 2d8aa35beb3d9f98a33a5a04e90348823ba704e0
prerequisite-patch-id: 2c53125d93acdbe9e68218b2015414f5435e7c92
-- 
2.41.0

